Scriptname SSLHaggleOutUpdateQuestScript extends Quest  

GlobalVariable Property SSLHORevision auto
Quest Property SSLHaggleOut auto
GlobalVariable Property SSLHOArousedSupport auto
GlobalVariable Property SSLHORSSupport auto

int latestRevision = 0

Function onPlayerLoadGame()
	latestRevision = 3
	if (Game.getModByName("SexlabAroused.esm") != 255)
		SSLHOArousedSupport.setValue(1)
	else
		SSLHOArousedSupport.setValue(0)
	endIf
	if (Game.getModByName("SexLabRapeSpell.esp") != 255)
		SSLHORSSupport.setValue(1)
	else
		SSLHORSSupport.setValue(0)
	endIf
	if (latestRevision > SSLHORevision.getValue())
		debug.notification("SSL Haggle Out updating...")
		SSLHaggleOut.stop()
		SSLHORevision.setValue(latestRevision)
		SSLHaggleOut.start()
		debug.notification("SSL Haggle Out successfully updated.")
	endIf
endFunction
